package com.neusoft.smart.pos.user.persistent.mapper;

import com.neusoft.smart.pos.user.persistent.domain.PermissionGroup;
import com.neusoft.smart.pos.user.persistent.domain.PermissionGroupExample;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface PermissionGroupMapper {
    int countByExample(PermissionGroupExample example);

    int deleteByExample(PermissionGroupExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(PermissionGroup record);

    int insertSelective(PermissionGroup record);

    List<PermissionGroup> selectByExample(PermissionGroupExample example);

    PermissionGroup selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") PermissionGroup record, @Param("example") PermissionGroupExample example);

    int updateByExample(@Param("record") PermissionGroup record, @Param("example") PermissionGroupExample example);

    int updateByPrimaryKeySelective(PermissionGroup record);

    int updateByPrimaryKey(PermissionGroup record);
}